package com.ruoyi.project.plant.mapper;

import java.util.List;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.plant.domain.TTargetreview;

/**
 * 目标回顾Mapper接口
 * 
 * @author ruoyi
 * @date 2020-11-25
 */
public interface TTargetreviewMapper 
{
    /**
     * 查询目标回顾
     * 
     * @param id 目标回顾ID
     * @return 目标回顾
     */
    public TTargetreview selectTTargetreviewById(Long id);

    /**
     * 查询目标回顾列表
     * 
     * @param tTargetreview 目标回顾
     * @return 目标回顾集合
     */
    @DataScope(deptAlias = "d")
    public List<TTargetreview> selectTTargetreviewList(TTargetreview tTargetreview);

    /**
     * 新增目标回顾
     * 
     * @param tTargetreview 目标回顾
     * @return 结果
     */
    public int insertTTargetreview(TTargetreview tTargetreview);

    /**
     * 修改目标回顾
     * 
     * @param tTargetreview 目标回顾
     * @return 结果
     */
    public int updateTTargetreview(TTargetreview tTargetreview);

    /**
     * 根据listId删除目标回顾
     *
     * @param listId 需要删除的目标listId
     * @return 结果
     */
    public int deleteTTargetreviewByListId(Long listId);

    /**
     * 删除目标回顾
     * 
     * @param id 目标回顾ID
     * @return 结果
     */
    public int deleteTTargetreviewById(Long id);

    /**
     * 批量删除目标回顾
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTargetreviewByIds(Long[] ids);
}
